EnKash Developer Portal
Home
Home
Login
  1. UPI QR
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
      POST
    • Get UPI QR
      GET
    • Search UPI QR
      POST
    • Create Customer
      POST
    • Search Customer
      POST
    • Cancel UPI QR
      PATCH
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. UPI QR

Search UPI QR

POST
/api/v0/qr-code/search
📌
Use this API to retrieve a list of UPI QR codes based on filters such as date range, status, or amount. This allows you to track multiple QR codes, monitor payment requests, and simplify reconciliation.

Request

Query Params

Header Params

Body Params application/json

Example
{
    "qrCodeId": "string",
    "qrCodeName": "string",
    "amount": 0,
    "status": "string",
    "referenceNumber": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/qr-code/search?offset=undefined&limit=undefined' \
--header 'merchantAccessKey;' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
    "qrCodeId": "string",
    "qrCodeName": "string",
    "amount": 0,
    "status": "string",
    "referenceNumber": "string"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "response_code": 0,
    "response_message": "string",
    "payload": {
        "recordsCount": 0,
        "data": [
            {
                "qrCodeId": "string",
                "qrName": "string",
                "multipleUse": true,
                "fixedAmount": true,
                "amount": 0,
                "description": "string",
                "expiry": "string",
                "customParams": {
                    "additionalProp1": "string",
                    "additionalProp2": "string",
                    "additionalProp3": "string"
                },
                "status": "ACTIVE",
                "qrCodeBase64": "string",
                "createdOn": "string",
                "modifiedOn": "string",
                "customerName": "string",
                "customerEmail": "string",
                "customerMobile": "string",
                "customerId": "string",
                "referenceNumber": "string"
            }
        ]
    }
}
Modified at 2025-07-05 12:23:23
Previous
Get UPI QR
Next
Create Customer
Built with